Page MenuHomePhabricator

Setup DNS to direct techblog.wikimedia.org to new Wordpress VIP hosting
Closed, ResolvedPublic

Description

Currently, https://techblog.wikimedia.org is rewritten to https://blog.wikimedia.org/c/technology/. We need to undo that redirect and point the DNS record correctly to the Wordpress VIP ingress.

@bd808 should also talk with the Traffic team to work out any kinks in doing this and/or the expected LE cert on the Wordpress VIP side.

See also:

Event Timeline

bd808 created this task.Feb 28 2020, 11:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2020, 11:53 PM
bd808 triaged this task as High priority.Feb 28 2020, 11:53 PM
bd808 moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.
Restricted Application added projects: Operations, Traffic. · View Herald TranscriptFeb 29 2020, 11:30 AM

Change 577370 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/dns@master] techblog.wikimedia.org: Reduce TTL

https://gerrit.wikimedia.org/r/577370

Change 577371 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/dns@master] techblog.wikimedia.org: Point at upstream service provider

https://gerrit.wikimedia.org/r/577371

bd808 updated the task description. (Show Details)Mar 5 2020, 11:11 PM

Change 577373 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] redirects: Remove redirect handling for techblog.wikimedia.org

https://gerrit.wikimedia.org/r/577373

bd808 updated the task description. (Show Details)Mar 5 2020, 11:18 PM
bd808 added a subscriber: JHedden.Mar 20 2020, 9:32 PM

@JHedden kindly volunteered to be the root to help out with this.

At T226044, it was planned to self-host with Phabricator. The the domain itself is to be rerouted at the DNS layer instead, and using WordPress, this means we need to preserve URL functionality by different means. Is there a plan for this in place? One option could be to import all its posts, taking care to use the same slugs, dates, and permalink structure.

[..] apparently they're datestamped URIs beginning with /yyyy/mm/, examples being:

https://techblog.wikimedia.org/2010/05/29/xml-dumps-resumed/

so perhaps a blanket redirect from the new techblog's ^/20[01][0-9] to a copy of the same URI on blog.wikimedia.org would be sufficient?

Yes. The old blog was a WordPress instance with fairly standard "permalink" configuration for posts, using the format /{yyyy}/{mm}/{slug}, such as https://techblog.wikimedia.org/2009/07/02/power-outage-in-wikimedias-european-servers/.

There are also "archive" urls at /{yyyy}, /{yyyy}/, /{yyyy}/{mm}, and /{yyyy}/{mm}/, such as https://techblog.wikimedia.org/2009/07/.

This was moved to blog.wikimedia.org as-is, with as far as I know all arbitrary urls redirecting. The exception being the root / which redirects to the technology category instead. This means in theory posts published after the move could be accessed through this older domain as well, but.. this isn't an issue currently because this "new" blog is also "old" again (read-only as of 2018). So, if we capture anything from /2007/* to /2018/* we should be good. (See also T226044#5268590).

At T226044, it was planned to self-host with Phabricator. The the domain itself is to be rerouted at the DNS layer instead, and using WordPress, this means we need to preserve URL functionality by different means. Is there a plan for this in place? One option could be to import all its posts, taking care to use the same slugs, dates, and permalink structure.

Let's work that out at T243407: Import blog posts from old https://blog.wikimedia.org/c/technology/ into archive of the new Tech blog.

Change 577370 merged by Jhedden:
[operations/dns@master] techblog.wikimedia.org: Reduce TTL

https://gerrit.wikimedia.org/r/577370

Change 577371 merged by Jhedden:
[operations/dns@master] techblog.wikimedia.org: Point at upstream service provider

https://gerrit.wikimedia.org/r/577371

bd808 closed this task as Resolved.Mar 26 2020, 12:04 AM

Change 577373 merged by Jhedden:
[operations/puppet@production] redirects: Remove redirect handling for techblog.wikimedia.org

https://gerrit.wikimedia.org/r/577373